RC5ParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.RC5ParameterSpec,RC5ParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class RC5ParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.RC5ParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class RC5ParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the parameters used with the RC5 algorithm.

The parameters consist of a version number, a rounds count, a word size, and optionally an initialization vector (IV) (only in feedback mode).

This class can be used to initialize a `Cipher` object that implements the RC5 algorithm as supplied by RSA Data Security, Inc. (RSA DSI), or any parties authorized by RSA DSI.

Constructor Summary
`RC5ParameterSpec(int version, int rounds, int wordSize)` Constructs a parameter set for RC5 from the given version, number of rounds and word size (in bits).
`RC5ParameterSpec(int version, int rounds, int wordSize, byte[] iv)` Constructs a parameter set for RC5 from the given version, number of rounds, word size (in bits), and IV.
`RC5ParameterSpec(int version, int rounds, int wordSize, byte[] iv, int offset)` Constructs a parameter set for RC5 from the given version, number of rounds, word size (in bits), and IV.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests for equality between the specified object and this object.
`byte[]` | `getIV()` Returns the IV or null if this parameter set does not contain an IV.
`int` | `getRounds()` Returns the number of rounds.
`int` | `getVersion()` Returns the version.
`int` | `getWordSize()` Returns the word size in bits
`int` | `hashCode()` Calculates a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC5ParameterSpec

    public RC5ParameterSpec(int version,
                            int rounds,
                            int wordSize)

  Constructs a parameter set for RC5 from the given version, number of rounds and word size (in bits).

Parameters:
  `version` - the version.
  `rounds` - the number of rounds.
  `wordSize` - the word size in bits.

### RC5ParameterSpec

    public RC5ParameterSpec(int version,
                            int rounds,
                            int wordSize,
                            byte[] iv)

  Constructs a parameter set for RC5 from the given version, number of rounds, word size (in bits), and IV.

  Note that the size of the IV (block size) must be twice the word size. The bytes that constitute the IV are those between `iv[0]` and `iv[2*(wordSize/8)-1]` inclusive.

Parameters:
  `version` - the version.
  `rounds` - the number of rounds.
  `wordSize` - the word size in bits.
  `iv` - the buffer with the IV.

### RC5ParameterSpec

    public RC5ParameterSpec(int version,
                            int rounds,
                            int wordSize,
                            byte[] iv,
                            int offset)

  Constructs a parameter set for RC5 from the given version, number of rounds, word size (in bits), and IV.

  The IV is taken from `iv`, starting at `offset` inclusive. Note that the size of the IV (block size), starting at `offset` inclusive, must be twice the word size. The bytes that constitute the IV are those between `iv[offset]` and `iv[offset+2*(wordSize/8)-1]` inclusive.

Parameters:
  `version` - the version.
  `rounds` - the number of rounds.
  `wordSize` - the word size in bits.
  `iv` - the buffer with the IV.
  `offset` - the offset in `iv` where the IV starts.

Method Detail

### getVersion

    public int getVersion()

  Returns the version.

  Returns:
    the version.

### getRounds

    public int getRounds()

  Returns the number of rounds.

  Returns:
    the number of rounds.

### getWordSize

    public int getWordSize()

  Returns the word size in bits

  Returns:
    the word size in bits.

### getIV

    public byte[] getIV()

  Returns the IV or null if this parameter set does not contain an IV.

  Returns:
    the IV or null if this parameter set does not contain an IV.

### equals

    public boolean equals(java.lang.Object obj)

  Tests for equality between the specified object and this object. Two RC5ParameterSpec objects are considered equal if their version numbers, number of rounds, word sizes, and IVs are equal. (Two IV references are considered equal if both are `null`.)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test for equality with this object.
  Returns:
    true if the objects are considered equal, false otherwise.

### hashCode

    public int hashCode()

  Calculates a hash code value for the object. Objects that are equal will also have the same hashcode.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.